Last Comment Bug 669289 - Fennec UI is unresponsive and browser becomes unusable if a restart is triggered with a single blank tab open
: Fennec UI is unresponsive and browser becomes unusable if a restart is trigge...
Status: VERIFIED FIXED
[fennec 6.0b5]
: verified-aurora, verified-beta
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 6
: ARM Android
: P4 critical (vote)
: Firefox 6
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on: 676780
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-05 05:47 PDT by Cristian Nicolae (:xti)
Modified: 2011-08-12 12:03 PDT (History)
13 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot 1 - Nightly (18.58 KB, image/png)
2011-07-05 05:47 PDT, Cristian Nicolae (:xti)
no flags Details
Screenshot 2 - Aurora & Nightly (15.23 KB, image/png)
2011-07-05 05:48 PDT, Cristian Nicolae (:xti)
no flags Details
patch for beta (1.36 KB, patch)
2011-08-10 09:46 PDT, Matt Brubeck (:mbrubeck)
mark.finkle: review+
mark.finkle: approval‑mozilla‑beta+
Details | Diff | Review

Description Cristian Nicolae (:xti) 2011-07-05 05:47:18 PDT
Created attachment 543913 [details]
Screenshot 1 - Nightly

Build id : Mozilla/5.0 (Android;Linux armv7l;rv:6.0a2)Gecko/20110704
Firefox/6.0a2 Fennec/6.0a2
Device: Motorola Droid 2
OS: Android 2.2

Build id : Mozilla/5.0 (Android;Linux armv7l;rv:7.0a1)Gecko/20110704
Firefox/7.0a1 Fennec/7.0a1
Device: Motorola Droid 2
OS: Android 2.2

Steps to reproduce:
1. Open Fennec App
2. Open a new blank tab
3. Close all tabs, except the one opened at step 2
4. Go to Preferences > Langauge
5. Change the Language Pack
6. Tap on Restart button

Expected result:
After step 6, Fennec restarts normally and for:
- Aurora 6: a blank tab is opened
- Nightly 7: it will be loaded the selected Start Page

Actual result:
After step 6, for both Aurora 6 and Nightly 7, Fennec is frozen, except the favicon button (its options doesn't work either).

Notes:
For Aurora build, if Fennec data is cleared from the system, user will be able to use the app normally. But for Nightly build, if the same operation will be performed, a message is displayed when the app opens: "Your Fennec profile cannot be loaded. It may be missing or inaccessible.  [OK]"
Please see the following video: http://www.youtube.com/user/qaioana#p/a/u/0/vWnGoyXrle8
Comment 1 Cristian Nicolae (:xti) 2011-07-05 05:48:00 PDT
Created attachment 543914 [details]
Screenshot 2 - Aurora & Nightly
Comment 2 Kevin Brosnan [:kbrosnan] 2011-07-05 13:53:42 PDT
I can reproduce this with the current nightly.
Comment 3 Chris Lord [:cwiiis] 2011-08-01 10:36:37 PDT
Could this be the session restore ending up with no tabs open after restoring the session? If so, I've had a patch for this in my queue for a while (I was running into this by making mistakes editing session restore, rather than restarting)
Comment 4 Chris Lord [:cwiiis] 2011-08-01 10:42:17 PDT
Does attachment #541963 [details] [diff] [review] fix this for you?
Comment 5 Chris Lord [:cwiiis] 2011-08-01 10:44:53 PDT
Just to note, it's only the first hunk of that patch that's relevant to this,
you could just apply that and ignore the rest.
Comment 6 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2011-08-08 03:46:07 PDT
The attachment from comment 4 is for bug 666340.
Comment 7 Cristian Nicolae (:xti) 2011-08-10 02:28:24 PDT
I'm able to reproduce this issue on the Beta build from https://bugzilla.mozilla.org/show_bug.cgi?id=676780#c30
It seems that the patch doesn't work for this issue. After the last step, I cannot use the app any more. I have to clear Fennec's Data from the System.
Comment 8 Cristian Nicolae (:xti) 2011-08-10 02:37:15 PDT
(In reply to Cristian Nicolae (:xti) from comment #7)
> I'm able to reproduce this issue on the Beta build from
> https://bugzilla.mozilla.org/show_bug.cgi?id=676780#c30
> It seems that the patch doesn't work for this issue. After the last step, I
> cannot use the app any more. I have to clear Fennec's Data from the System.

It's even worse. If I clear data, every time when I open Fennec I have the same message as is specified in comment #0 ("Your Fennec profile cannot be loaded. It may be missing or inaccessible.  [OK]"). So I must uninstall Fennec and reinstall it back to be able to use the app again.
Comment 9 Matt Brubeck (:mbrubeck) 2011-08-10 08:57:35 PDT
This is fixed on trunk by the m-c patch in bug 676780.  I haven't tested it with the beta patch.
Comment 10 Matt Brubeck (:mbrubeck) 2011-08-10 09:46:05 PDT
Created attachment 552101 [details] [diff] [review]
patch for beta

This patch fixes the problem in beta.
Comment 11 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-10 11:27:46 PDT
Comment on attachment 552101 [details] [diff] [review]
patch for beta

we are taking this and will spin a build for QA to test. land on mozilla-beta
Comment 12 Mark Finkle (:mfinkle) (use needinfo?) 2011-08-10 11:40:18 PDT
http://hg.mozilla.org/releases/mozilla-beta/rev/8263a2c99c2a

not fixed in trunk yet. that is bug 676780
Comment 13 Matt Brubeck (:mbrubeck) 2011-08-12 10:49:56 PDT
Fixed in Aurora (Fx7) and Nightly (Fx8) by bug 676780.
Comment 14 Aaron Train [:aaronmt] 2011-08-12 12:03:42 PDT
Verified Fixed on Beta
Mozilla/5.0 (Android; Linux armv7l; rv:6.0) Gecko/20110810 Firefox/6.0 Fennec/6.0

Verified Fixed on Aurora
Mozilla/5.0 (Android; Linux armv7l; rv:7.0a2) Gecko/20110812 Firefox/7.0a2 Fennec/7.0a2

Verified Fixed on Nightly
Mozilla/5.0 (Android; Linux armv7l; rc:8.0a1) Gecko/20110812 Firefox/8.0a1 Fennec/8.0a1

Note You need to log in before you can comment on or make changes to this bug.